<?php //f936ac632322c4214d6076cf9beb71bd
/** @noinspection all */

namespace LaravelIdea\Helper\App\Models {

    use App\Models\Domaine;
    use App\Models\User;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    
    /**
     * @method Domaine|null getOrPut($key, \Closure $value)
     * @method Domaine|$this shift(int $count = 1)
     * @method Domaine|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Domaine|$this pop(int $count = 1)
     * @method Domaine|null pull($key, \Closure $default = null)
     * @method Domaine|null last(callable|null $callback = null, \Closure $default = null)
     * @method Domaine|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Domaine|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Domaine|null get($key, \Closure $default = null)
     * @method Domaine|null first(callable|null $callback = null, \Closure $default = null)
     * @method Domaine|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Domaine|null find($key, $default = null)
     * @method Domaine[] all()
     */
    class _IH_Domaine_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Domaine[][]|Collection<_IH_Domaine_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Domaine_QB whereId($value)
     * @method _IH_Domaine_QB whereAuthor($value)
     * @method _IH_Domaine_QB whereTitle($value)
     * @method _IH_Domaine_QB wherePicture($value)
     * @method _IH_Domaine_QB whereDescription($value)
     * @method _IH_Domaine_QB whereCreatedAt($value)
     * @method _IH_Domaine_QB whereUpdatedAt($value)
     * @method Domaine create(array $attributes = [])
     * @method Domaine createOrFirst(array $attributes = [], array $values = [])
     * @method Domaine createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_Domaine_C|Domaine[] cursor()
     * @method Domaine[] eagerLoadRelations(array $models)
     * @method Domaine|null|_IH_Domaine_C|Domaine[] find($id, array|string $columns = ['*'])
     * @method _IH_Domaine_C|Domaine[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Domaine|_IH_Domaine_C|Domaine[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Domaine|_IH_Domaine_C|Domaine[] findOrFail($id, array|string $columns = ['*'])
     * @method Domaine|_IH_Domaine_C|Domaine[] findOrNew($id, array|string $columns = ['*'])
     * @method Domaine first(array|string $columns = ['*'])
     * @method Domaine firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Domaine firstOrCreate(array $attributes = [], array $values = [])
     * @method Domaine firstOrFail(array|string $columns = ['*'])
     * @method Domaine firstOrNew(array $attributes = [], array $values = [])
     * @method Domaine firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Domaine forceCreate(array $attributes)
     * @method Domaine forceCreateQuietly(array $attributes = [])
     * @method _IH_Domaine_C|Domaine[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Domaine_C|Domaine[] get(array|string $columns = ['*'])
     * @method Domaine getModel()
     * @method Domaine[] getModels(array|string $columns = ['*'])
     * @method _IH_Domaine_C|Domaine[] hydrate(array $items)
     * @method _IH_Domaine_C|Domaine[] lazy(int $chunkSize = 1000)
     * @method _IH_Domaine_C|Domaine[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Domaine_C|Domaine[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Domaine make(array $attributes = [])
     * @method Domaine newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Domaine[]|_IH_Domaine_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Domaine restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Domaine[]|_IH_Domaine_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Domaine sole(array|string $columns = ['*'])
     * @method Domaine updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Domaine_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createOrRestore(array $attributes = [], array $values = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_User_QB extends _BaseBuilder {}
}